#ifndef COM_PORTS_H
#define COM_PORTS_H


#define COM1 0          /* /dev/ttyS0				*/
#define COM2 1          /* /dev/ttyS1				*/


/* 
	a port is either COM1 or COM2 at this time.  A port_fd is the
	file descripter returned from an open().
*/

int open_port( int port );
void close_port( int port_fd );
int port_putc( int port_fd, char chr );
int port_getc( int port_fd );
int port_putmem( int port_fd, char *mem, int count );
int port_putcrlf( int port_fd );
int port_configure(int port_fd, char *mode);

#endif		/* COM_PORTS_H					*/
